help installing usb network adapter zt6688 - Hardware

This is a discussion on help installing usb network adapter zt6688 - Hardware ; I have used linux for a while but I am still a noob. I have debain 7.04 ppc installed on a imac g3. I have purchased a usb network adapter zt6688 that I would like to install. I was able ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: help installing usb network adapter zt6688

  1. help installing usb network adapter zt6688

    I have used linux for a while but I am still a noob. I have debain
    7.04 ppc installed on a imac g3. I have purchased a usb network
    adapter zt6688 that I would like to install. I was able to find some
    driver called dm9601, but quite frankly I am not quite sure what to do
    with it. I have tried numerous things from other forums but I get all
    kinds of errors that I can't even remember how I got them. At this
    point I just want to get it woking. A brief explanation on how to get
    drivers loaded in linux would be greatly appreciated as well. The
    driver have came from here http://www.davicom.com.tw/eng/downlo...river_9601.htm


  2. Re: help installing usb network adapter zt6688

    On Oct 31, 7:40 am, baaaaa...@gmail.com wrote:
    > I have used linux for a while but I am still a noob. I have debain
    > 7.04 ppc installed on a imac g3. I have purchased a usb network
    > adapter zt6688 that I would like to install. I was able to find some
    > driver called dm9601, but quite frankly I am not quite sure what to do
    > with it. I have tried numerous things from other forums but I get all
    > kinds of errors that I can't even remember how I got them. At this
    > point I just want to get it woking. A brief explanation on how to get
    > drivers loaded in linux would be greatly appreciated as well. The
    > driver have came from herehttp://www.davicom.com.tw/eng/download/Driver/driver_9601.htm


    I know that 2.6.22 kernel supports this device.
    I think the easiest will be to upgrade to a later version of the
    kernel that supports it. Although Debian is precious about updating
    their kernel, you can do so using the "testing" branch of the debian
    packages tree ("stable" only has 2.6.19).


  3. Re: help installing usb network adapter zt6688

    On Oct 31, 4:23 am, Janaka wrote:
    > On Oct 31, 7:40 am, baaaaa...@gmail.com wrote:
    >
    > > I have used linux for a while but I am still a noob. I have debain
    > > 7.04 ppc installed on a imac g3. I have purchased a usb network
    > > adapter zt6688 that I would like to install. I was able to find some
    > > driver called dm9601, but quite frankly I am not quite sure what to do
    > > with it. I have tried numerous things from other forums but I get all
    > > kinds of errors that I can't even remember how I got them. At this
    > > point I just want to get it woking. A brief explanation on how to get
    > > drivers loaded in linux would be greatly appreciated as well. The
    > > driver have came from herehttp://www.davicom.com.tw/eng/download/Driver/driver_9601.htm

    >
    > I know that 2.6.22 kernel supports this device.
    > I think the easiest will be to upgrade to a later version of the
    > kernel that supports it. Although Debian is precious about updating
    > their kernel, you can do so using the "testing" branch of the debian
    > packages tree ("stable" only has 2.6.19).


    sorry for my ignorance but how can i get the testing version without
    doing a complete reinstall?


  4. Re: help installing usb network adapter zt6688

    Janaka wrote:


    > I know that 2.6.22 kernel supports this device.
    > I think the easiest will be to upgrade to a later version of the
    > kernel that supports it. Although Debian is precious about updating
    > their kernel, you can do so using the "testing" branch of the debian
    > packages tree ("stable" only has 2.6.19).


    Surely that does not stop you building your own kernel anyway, irrespective
    of what versions debian use in any branch?


    --
    http://www.petezilla.co.uk

  5. Re: help installing usb network adapter zt6688

    Hello,

    baaaaaary@gmail.com a écrit :
    > On Oct 31, 4:23 am, Janaka wrote:
    >
    >>I know that 2.6.22 kernel supports this device.


    The dm9601 driver was added in kernel 2.6.21. But later kernel versions
    fix some issues such as this one in 2.6.23 which seems rather serious :

    dm9601: Fix receive MTU

    dm9601 didn't take the ethernet header into account when calculating
    RX MTU, causing packets bigger than 1486 to fail.

    >>I think the easiest will be to upgrade to a later version of the
    >>kernel that supports it. Although Debian is precious about updating
    >>their kernel, you can do so using the "testing" branch of the debian
    >>packages tree ("stable" only has 2.6.19).


    Isn't it rather 2.6.18 ?

    > sorry for my ignorance but how can i get the testing version without
    > doing a complete reinstall?


    etch-backports has a 2.6.22 kernel for the current Debian stable (4.0, I
    don't know what is "debian 4.1.1-21").
    See

+ Reply to Thread